#include "util.h"
#include <fcntl.h>
#include <stdio.h>
#include <string.h>

int token(char *str, char separator, int start,
	  int max_len, char *token, int *len)
{
    int i = 0;
    int j;

    while (str[start] == separator){
	start++;
    }

    while (str[start + i] != separator &&
	   str[start + 1] != 0){
	i++;
    }

    if (len){
	*len = i;
    }

    if (i > 0){
	for (j = 0; j < i && j < max_len - 1; j++){
	    token[j] = str[start + j];
	}
	token[j] = 0;
	return start + i;
    } else{
	return 0;
    }
}
